Subject: bug#64014: closed (Re: bug#64014: guix pack regression)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 10 Jul 2023 21:31:02 +0000

Your bug report

#64014: 'guix pack -R' breaks bubblewrap

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64014: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64014
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64014: guix pack regression
From: Ludovic Courtès <[email-masked]>
To: André A. Gomes <[email-masked]>
Cc: [email-masked]
Date: Mon, 10 Jul 2023 23:30:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

André A. Gomes <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Yes, that’d be great.  If you still have that older pack that didn’t
>> have the problem, you could also run it under ‘strace -f -o
>> /tmp/log.strace’ to see what happens before the failure.
>
> Ludovic, I didn't reach any meaningful conclusion.  Please close this
> issue.  Thanks.

Done!

Subject: guix pack regression
From: André A. Gomes <[email-masked]>
To: [email-masked]
Date: Mon, 12 Jun 2023 15:59:25 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

I've produced a guix pack with the same command that I've always used
(which includes passing the -RR flag), but I now get the following
message:

--8<---------------cut here---------------start------------->8---
bwrap: No permissions to creating new namespace, likely because the kernel does not allow non-privileged user namespaces. On e.g. debian this can be enabled with 'sysctl kernel.unprivileged_userns_clone=1'.
--8<---------------cut here---------------end--------------->8---

Any ideas?  Thanks.

Guix version:

--8<---------------cut here---------------start------------->8---
  guix f36b8a9
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: f36b8a9763087d2b9d3705595fbc34b054297ab8
--8<---------------cut here---------------end--------------->8---

-- 
André A. Gomes
"You cannot even find the ruins..."